Bug 223989 - net/py-kafka-python: Update to 1.3.5
Summary: net/py-kafka-python: Update to 1.3.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 12:10 UTC by Sergey Akhmatov
Modified: 2018-02-10 07:17 UTC (History)
2 users (show)

See Also:
christer.edwards: maintainer-feedback+


Attachments
py-kafka-python-1.3.5 (1.13 KB, patch)
2017-11-30 12:10 UTC, Sergey Akhmatov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Akhmatov 2017-11-30 12:10:01 UTC
Created attachment 188423 [details]
py-kafka-python-1.3.5

Update port to latest upstream version:
https://github.com/dpkp/kafka-python/releases/tag/1.3.5

Reorder variables: put USES before USE_ according to porters handbook https://www.freebsd.org/doc/en/books/porters-handbook/porting-order-uses.html

portlint and poudriere builds are fine.
Comment 1 Christer Edwards 2017-12-01 21:14:31 UTC
Looks good.

Thank you.
Comment 2 Yuri Victorovich freebsd_committer 2018-02-10 07:16:29 UTC
Committed the update to 1.4.1.
Thank you for your submission.
Comment 3 commit-hook freebsd_committer 2018-02-10 07:17:01 UTC
A commit references this bug:

Author: yuri
Date: Sat Feb 10 07:16:26 UTC 2018
New revision: 461360
URL: https://svnweb.freebsd.org/changeset/ports/461360

Log:
  net/py-kafka-python: Update to 1.4.1

  Changelogs:
  https://github.com/dpkp/kafka-python/releases/tag/1.4.1 (and similar URLs)

  Additional port changes:
  * MASTER_SITES changed to the upstream github URL due to
    failure to download from CHEESESHOP.
  * Reordered the USES section.
  * Removed USES=shebangfix since it makes no difference.
  * Updated WWW with new github account.

  PR:		223989
  Submitted by:	Sergey Akhmatov <sergey@akhmatov.ru>
  Approved by:	christer.edwards@gmail.com (maintainer), tcberner (mentor, implicit)

Changes:
  head/net/py-kafka-python/Makefile
  head/net/py-kafka-python/distinfo
  head/net/py-kafka-python/pkg-descr